---
title: Viewing insights for your discussions
intro: 'Discussions insights provide data about your discussions'' activity, views, and contributors.'
permissions: Repository administrators and people with maintain access to a repository can view the discussions insights dashboard.
versions:
  fpt: '*'
  ghec: '*'
topics:
  - Discussions
shortTitle: View discussions insights
---

## About the discussions insights dashboard

You can use discussions insights to help understand the contribution activity, page views, and growth of your repository's discussions community.
- **Contribution activity** shows the count of total contributions to discussions, issues, and pull requests.
- **Discussions page views** shows the total page views for discussions, segmented by logged in versus anonymous viewers.
- **Discussions daily contributors** shows the daily count of unique users who have reacted, upvoted, marked an answer, commented, or posted in the selected time period.
- **Discussions new contributors** shows the daily count of unique new users who have reacted, upvoted, marked an answer, commented, or posted in the selected time period.

![Screenshot of the discussions dashboard](/assets/images/help/discussions/discussions-dashboard.png)

{% tip %}

**Tip:** To view the exact data for a time period, hover over that time period in the graph.

{% endtip %}

## Viewing discussions insights

{% data reusables.repositories.navigate-to-repo %}
{% data reusables.repositories.accessing-repository-graphs %}
3. In the left sidebar, click **Community**.
![Screenshot of the "Community" tab in left sidebar](/assets/images/help/graphs/graphs-sidebar-community-tab.png)
1. Optionally, in the upper-right corner of the page, select the **Period** dropdown menu and click the time period for which you want to view data: **30 days**, **3 months**, or **1 year**.
![Screenshot of the date range selector for discussions insights](/assets/images/help/discussions/discussions-dashboard-date-selctor.png)
